Subject: Re: DMA coalescing - ethtool vs. kernel

From: Jeff Kirsher <[email-masked]>
Date: Mon, 27 Nov 2017 10:32:48 -0800

On Thu, 2017-11-23 at 13:31 +0100, Michal Kubecek wrote:
> Hello,
> 
> while digging through the interface between ethtool and kernel,
> I noticed that ethtool commit 5dd7bfbc5079 ("ethtool: Add DMA
> Coalescing
> support") added new member dmac into struct ethtool_coalesce which is
> part of kernel UAPI but there is no kernel counterpart to this change
> in
> master, net or net-next tree.
> 
> This doesn't cause any serious trouble as with userspace structure
> longer than kernel thinks, kernel would simply ignore the extra
> member
> so that the feature "only" doesn't work. But I doubt such change
> could
> be accepted to kernel side of the interface as new kernel would then
> overflow shorter structure passed by older ethtool. Stephen Hemminger
> mentioned the ABI compatibility issue when this patch was submitted:
> 
>   https://patchwork.ozlabs.org/patch/806049/#1757846
> 
> Does it make sense to have ethtool feature without kernel
> counterpart?

You are correct Michal.  It appears this was over looked when John
applied this patch to ethtool.  We have dropped this change (as well as
the kernel side changes) for now.

John- please revert the change to add DMA coalescing in ethtool.